Loading...
Searching...
No Matches
rs.h File Reference
`#include <gnuradio/fec/api.h>`
Include dependency graph for rs.h:

Go to the source code of this file.

## Functions

FEC_API void | encode_rs_char (void *rs, unsigned char *data, unsigned char *parity)
FEC_API int | decode_rs_char (void *rs, unsigned char *data, int *eras_pos, int no_eras)
FEC_API void * | init_rs_char (unsigned int symsize, unsigned int gfpoly, unsigned int fcr, unsigned int prim, unsigned int nroots)
FEC_API void | free_rs_char (void *rs)
FEC_API void | encode_rs_8 (unsigned char *data, unsigned char *parity)
FEC_API int | decode_rs_8 (unsigned char *data, int *eras_pos, int no_eras)
FEC_API void | encode_rs_ccsds (unsigned char *data, unsigned char *parity)
FEC_API int | decode_rs_ccsds (unsigned char *data, int *eras_pos, int no_eras)

## Function Documentation

## decode_rs_8()

FEC_API int decode_rs_8 | ( | unsigned char * | data,
|  | int * | eras_pos,
|  | int | no_eras )

References FEC_API.

## decode_rs_ccsds()

FEC_API int decode_rs_ccsds | ( | unsigned char * | data,
|  | int * | eras_pos,
|  | int | no_eras )

References FEC_API.

## decode_rs_char()

FEC_API int decode_rs_char | ( | void * | rs,
|  | unsigned char * | data,
|  | int * | eras_pos,
|  | int | no_eras )

References FEC_API.

## encode_rs_8()

FEC_API void encode_rs_8 | ( | unsigned char * | data,
|  | unsigned char * | parity )

References FEC_API.

## encode_rs_ccsds()

FEC_API void encode_rs_ccsds | ( | unsigned char * | data,
|  | unsigned char * | parity )

References FEC_API.

## encode_rs_char()

FEC_API void encode_rs_char | ( | void * | rs,
|  | unsigned char * | data,
|  | unsigned char * | parity )

References FEC_API.

## free_rs_char()

FEC_API void free_rs_char | ( | void * | rs | ) |

References FEC_API.

## init_rs_char()

FEC_API void * init_rs_char | ( | unsigned int | symsize,
|  | unsigned int | gfpoly,
|  | unsigned int | fcr,
|  | unsigned int | prim,
|  | unsigned int | nroots )

References FEC_API.